---
apiVersion: snapshot.storage.k8s.io/v1
kind: VolumeSnapshotContent
metadata:
  annotations:
    snapshot.storage.kubernetes.io/deletion-secret-name: rook-csi-rbd-provisioner
    snapshot.storage.kubernetes.io/deletion-secret-namespace: openshift-storage
  creationTimestamp: "2025-10-29T12:47:17Z"
  finalizers:
  - snapshot.storage.kubernetes.io/volumesnapshotcontent-bound-protection
  generation: 1
  managedFields:
  - apiVersion: snapshot.storage.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:snapshot.storage.kubernetes.io/deletion-secret-name: {}
          f:snapshot.storage.kubernetes.io/deletion-secret-namespace: {}
        f:finalizers:
          .: {}
          v:"snapshot.storage.kubernetes.io/volumesnapshotcontent-bound-protection": {}
      f:spec:
        .: {}
        f:deletionPolicy: {}
        f:driver: {}
        f:source:
          .: {}
          f:volumeHandle: {}
        f:sourceVolumeMode: {}
        f:volumeSnapshotClassName: {}
        f:volumeSnapshotRef: {}
    manager: snapshot-controller
    operation: Update
    time: "2025-10-29T12:47:17Z"
  - apiVersion: snapshot.storage.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:creationTime: {}
        f:readyToUse: {}
        f:restoreSize: {}
        f:snapshotHandle: {}
    manager: csi-snapshotter
    operation: Update
    subresource: status
    time: "2025-10-29T12:47:18Z"
  name: snapcontent-cc9c6623-b4e6-4588-ac2a-f62eca753de7
  resourceVersion: "2195697"
  uid: 1ee9ec9d-b974-4d7d-9583-d63acb735926
spec:
  deletionPolicy: Delete
  driver: openshift-storage.rbd.csi.ceph.com
  source:
    volumeHandle: 0001-0011-openshift-storage-0000000000000002-ad336e33-ceeb-45d9-a9ad-c45989781887
  sourceVolumeMode: Block
  volumeSnapshotClassName: ocs-storagecluster-rbdplugin-snapclass
  volumeSnapshotRef:
    apiVersion: snapshot.storage.k8s.io/v1
    kind: VolumeSnapshot
    name: vmsnapshot-82839d1a-46b4-4d63-a934-8b8d587edd6c-volume-dv-disk
    namespace: test-upgrade-namespace
    resourceVersion: "2195668"
    uid: cc9c6623-b4e6-4588-ac2a-f62eca753de7
status:
  creationTime: 1761742037179243569
  readyToUse: true
  restoreSize: 1073741824
  snapshotHandle: 0001-0011-openshift-storage-0000000000000002-ffa4cc43-d031-45c7-bd8f-42de2dadfeeb
